*** a/src/test/regress/expected/collate.linux.utf8.out
--- b/src/test/regress/expected/collate.linux.utf8.out
***************
*** 395,401 **** SELECT relname FROM pg_class WHERE relname ~* '^abc';
  (0 rows)
  
  -- to_char
! SET lc_time TO 'tr_TR';
  SELECT to_char(date '2010-04-01', 'DD TMMON YYYY');
     to_char   
  -------------
--- 395,401 ----
  (0 rows)
  
  -- to_char
! SET lc_time TO 'tr_TR.UTF-8';
  SELECT to_char(date '2010-04-01', 'DD TMMON YYYY');
     to_char   
  -------------
***************
*** 967,972 **** CREATE COLLATION test3 (lc_collate = 'en_US.utf8'); -- fail, need lc_ctype
--- 967,973 ----
  ERROR:  parameter "lc_ctype" must be specified
  CREATE COLLATION testx (locale = 'nonsense'); -- fail
  ERROR:  could not create locale "nonsense": No such file or directory
+ DETAIL:  The operating system could not find any locale data for the locale name "nonsense".
  CREATE COLLATION test4 FROM nonsense;
  ERROR:  collation "nonsense" for encoding "UTF8" does not exist
  CREATE COLLATION test5 FROM test0;
*** a/src/test/regress/sql/collate.linux.utf8.sql
--- b/src/test/regress/sql/collate.linux.utf8.sql
***************
*** 146,152 **** SELECT relname FROM pg_class WHERE relname ~* '^abc';
  
  -- to_char
  
! SET lc_time TO 'tr_TR';
  SELECT to_char(date '2010-04-01', 'DD TMMON YYYY');
  SELECT to_char(date '2010-04-01', 'DD TMMON YYYY' COLLATE "tr_TR");
  
--- 146,152 ----
  
  -- to_char
  
! SET lc_time TO 'tr_TR.UTF-8';
  SELECT to_char(date '2010-04-01', 'DD TMMON YYYY');
  SELECT to_char(date '2010-04-01', 'DD TMMON YYYY' COLLATE "tr_TR");
  
